import {Routes} from '@angular/router';
import {UsersComponent} from './users/users.component';
import {RolesComponent} from './roles/roles.component';
import {AuthGuard} from '../../classes/guards/auth.guard';
import {PermissionsComponent} from './permissions/permissions.component';


export const UserRoutes: Routes =
//   [
//   {
//   path: '', canActivate: [AuthGuard]
// },
//   {
//     path: 'user/users', component: UsersComponent
//   },
//   {
//     path: 'user/roles', component: RolesComponent, canActivate: [AuthGuard]
//   },
//   {
//     path: 'user/permissions', component: PermissionsComponent, canActivate: [AuthGuard]
//   },
//  ];
  [{
    path: '',
    children: [{
      path: 'users',
      component: UsersComponent
    }, {
      path: 'roles',
      component: RolesComponent
    }, {
      path: 'permissions',
      component: PermissionsComponent
    }]
  }]
